com.fasterxml.jackson.databind.deser.impl

## Class CreatorCandidate.Param

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.CreatorCandidate.Param

Enclosing class:
  CreatorCandidate

    public static final class CreatorCandidate.Param
    extends Object

### Field Summary

Fields
`AnnotatedParameter` `annotated`
`com.fasterxml.jackson.annotation.JacksonInject.Value` `injection`
`BeanPropertyDefinition` `propDef`

### Constructor Summary

Constructors
Constructor and Description
`Param(AnnotatedParameter p, BeanPropertyDefinition pd, com.fasterxml.jackson.annotation.JacksonInject.Value i)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PropertyName` `fullName()`
`boolean` `hasFullName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### annotated

    public final AnnotatedParameter annotated

#### propDef

    public final BeanPropertyDefinition propDef

#### injection

    public final com.fasterxml.jackson.annotation.JacksonInject.Value injection

### Constructor Detail

#### Param

    public Param(AnnotatedParameter p,
                 BeanPropertyDefinition pd,
                 com.fasterxml.jackson.annotation.JacksonInject.Value i)

### Method Detail

#### fullName

    public PropertyName fullName()

#### hasFullName

    public boolean hasFullName()